%define	version 1.10
%define release %mkrel 2

%define major 0
%define libname %mklibname gpg-error %{major}
%define develname %mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		libgpg-error-1.9-libdir.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package common
Summary:	Common files for libgpg-error
Group:		System/Libraries
Conflicts:	libgpg-error < 1.7

%description common
This package contains the common files that are used by the
libgpg-error library.

%package -n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname gpg-error 0 -d

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q
%patch0 -p0 -b .libdir

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/gpg-error-config

%find_lang %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files common -f %{name}.lang
%defattr(-,root,root)

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{multiarch_bindir}/gpg-error-config
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error


%changelog
* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.10-2mdv2011.0
+ Revision: 661451
- rebuild

* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.10-1mdv2011.0
+ Revision: 611880
- new version 1.10

* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 1.9-1mdv2011.0
+ Revision: 570194
- New version 1.9
- rediff p0
- update files list

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7-2mdv2010.1
+ Revision: 520864
- rebuilt for 2010.1

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 1.7-1mdv2009.1
+ Revision: 326808
- New version 1.7

* Wed Jun 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6-4mdv2009.0
+ Revision: 224736
- Rebuild because of missing packages

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.6-3mdv2009.0
+ Revision: 222834
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 1.6-2mdv2008.1
+ Revision: 150903
- move locale files to new package libgpg-error-common

* Sat Jan 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6-1mdv2008.1
+ Revision: 149222
- mark gpg-error-config as a multi arch binary
- new license policy
- new devel library policy
- add %%check section
- spec file clean
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.4-1mdv2007.0
+ Revision: 77026
- updated to version 1.4
- added lisp files to devel package
- bunzipped patch
- Import libgpg-error

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 1.3-1mdv2007.0
- New release 1.3

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1-2mdk
- Rebuild

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 1.1-1mdk
- New release 1.1

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- reupload --> lost during ken crash

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- drop lib64 patch in favor of total nuking of -L$(libdir) where
  libdir is a standard library search path (multiarch)

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- lib64/multiarch fixes

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 1.0-1mdk
- New version
- Remove P0 (upstream)

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7-2mdk
- Patch0: automake 1.8 compatibility

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- New version

* Mon Dec 08 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- 0.6
- Patch not needed
- Use tar.gz instead and include signature, to prove source legitimacy

